import request from '@/utils/request'

// 查询高价值专利对照列表
export function listDHeightValuePatentCompare(query) {
  return request({
    url: '/heightval/dHeightValuePatentCompare/list',
    method: 'get',
    params: query
  })
}

// 查询高价值专利对照详细
export function getDHeightValuePatentCompare(id) {
  return request({
    url: '/heightval/dHeightValuePatentCompare/' + id,
    method: 'get'
  })
}

// 新增高价值专利对照
export function addDHeightValuePatentCompare(data) {
  return request({
    url: '/heightval/dHeightValuePatentCompare',
    method: 'post',
    data: data
  })
}

// 修改高价值专利对照
export function updateDHeightValuePatentCompare(data) {
  return request({
    url: '/heightval/dHeightValuePatentCompare',
    method: 'put',
    data: data
  })
}

// 删除高价值专利对照
export function delDHeightValuePatentCompare(id) {
  return request({
    url: '/heightval/dHeightValuePatentCompare/' + id,
    method: 'delete'
  })
}
